class Locked extends Into {
	String key;
	Locked(Room next, String key) {
		super(next);
		this.key = key;
	}
	
	public IPath escapePath(Person player) {
		if (player.hasKey(this.key))
			return super.escapePath(player);
		else
			return new Fail();
	}
}
