class Room {
	IDoor left;
	IDoor right;
	Room(IDoor left, IDoor right) {
		this.left = left;
		this.right = right;
	}

	// determines how you can reach "dest" through this
	// room
	IPath escapePath(Person player) {
		IPath p1 = this.left.escapePath(player);
		if (p1.isOk())
			return new Left((ISuccess)p1);
		else {
			IPath p2 = this.right.escapePath(player);
			if (p2.isOk())
				return new Right((ISuccess)p2);
			else
				return new Fail();
		}
	}
}
